#!/bin/sh

PLUGIN_COMPOSE=${PLUGIN_COMPOSE:-compose.yml}
PLUGIN_HOST=${PLUGIN_HOST:-swarm.autonomic.zone}
PLUGIN_PORT=${PLUGIN_PORT:-222}
PLUGIN_USER=${PLUGIN_USER:-drone}

load_deploy_key() {
  mkdir -p "$HOME/.ssh/"
  ssh-keyscan -p "$PLUGIN_PORT" "$PLUGIN_HOST" > "$HOME/.ssh/known_hosts"

  eval `ssh-agent`
  echo "$PLUGIN_DEPLOY_KEY" | ssh-add -
}

run_stack_deploy() {
  echo "--- start docker info ---"
  docker version
  echo "--- end docker info ---"

  docker \
    -H "ssh://$PLUGIN_USER@$PLUGIN_HOST:$PLUGIN_PORT" \
    stack deploy -c "$PLUGIN_COMPOSE" "$PLUGIN_STACK"
}

run_plugin() {
  echo "--- start deployment ---"
  load_deploy_key
  run_stack_deploy
  echo "--- end deployment ---"
}

run_plugin
exit 0
